
package ca.canadapost.cpcdp.shipping.generated.shipment;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ca.canadapost.cpcdp.shipping.generated.shipment package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GroupIdOrTransmitShipment_QNAME = new QName("http://www.canadapost.ca/ws/shipment-v8", "groupIdOrTransmitShipment");
    private final static QName _GroupId_QNAME = new QName("http://www.canadapost.ca/ws/shipment-v8", "group-id");
    private final static QName _TransmitShipment_QNAME = new QName("http://www.canadapost.ca/ws/shipment-v8", "transmit-shipment");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ca.canadapost.cpcdp.shipping.generated.shipment
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ShipmentCcReceipt }
     * 
     */
    public ShipmentCcReceipt createShipmentCcReceipt() {
        return new ShipmentCcReceipt();
    }

    /**
     * Create an instance of {@link ShipmentDetails }
     * 
     */
    public ShipmentDetails createShipmentDetails() {
        return new ShipmentDetails();
    }

    /**
     * Create an instance of {@link ShipmentReceipt }
     * 
     */
    public ShipmentReceipt createShipmentReceipt() {
        return new ShipmentReceipt();
    }

    /**
     * Create an instance of {@link CustomsType }
     * 
     */
    public CustomsType createCustomsType() {
        return new CustomsType();
    }

    /**
     * Create an instance of {@link ParcelCharacteristicsType }
     * 
     */
    public ParcelCharacteristicsType createParcelCharacteristicsType() {
        return new ParcelCharacteristicsType();
    }

    /**
     * Create an instance of {@link ShipmentDetails.ShipmentDetail }
     * 
     */
    public ShipmentDetails.ShipmentDetail createShipmentDetailsShipmentDetail() {
        return new ShipmentDetails.ShipmentDetail();
    }

    /**
     * Create an instance of {@link ShipmentDetails.ShipmentDetail.DeliverySpec }
     * 
     */
    public ShipmentDetails.ShipmentDetail.DeliverySpec createShipmentDetailsShipmentDetailDeliverySpec() {
        return new ShipmentDetails.ShipmentDetail.DeliverySpec();
    }

    /**
     * Create an instance of {@link DeliverySpecType }
     * 
     */
    public DeliverySpecType createDeliverySpecType() {
        return new DeliverySpecType();
    }

    /**
     * Create an instance of {@link ShipmentRefundRequestInfo }
     * 
     */
    public ShipmentRefundRequestInfo createShipmentRefundRequestInfo() {
        return new ShipmentRefundRequestInfo();
    }

    /**
     * Create an instance of {@link Shipment }
     * 
     */
    public Shipment createShipment() {
        return new Shipment();
    }

    /**
     * Create an instance of {@link ReturnSpecType }
     * 
     */
    public ReturnSpecType createReturnSpecType() {
        return new ReturnSpecType();
    }

    /**
     * Create an instance of {@link PreAuthorizedPaymentType }
     * 
     */
    public PreAuthorizedPaymentType createPreAuthorizedPaymentType() {
        return new PreAuthorizedPaymentType();
    }

    /**
     * Create an instance of {@link Link }
     * 
     */
    public Link createLink() {
        return new Link();
    }

    /**
     * Create an instance of {@link Groups }
     * 
     */
    public Groups createGroups() {
        return new Groups();
    }

    /**
     * Create an instance of {@link GroupType }
     * 
     */
    public GroupType createGroupType() {
        return new GroupType();
    }

    /**
     * Create an instance of {@link Shipments }
     * 
     */
    public Shipments createShipments() {
        return new Shipments();
    }

    /**
     * Create an instance of {@link ShipmentInfo }
     * 
     */
    public ShipmentInfo createShipmentInfo() {
        return new ShipmentInfo();
    }

    /**
     * Create an instance of {@link ShipmentCcReceipt.CcReceiptDetails }
     * 
     */
    public ShipmentCcReceipt.CcReceiptDetails createShipmentCcReceiptCcReceiptDetails() {
        return new ShipmentCcReceipt.CcReceiptDetails();
    }

    /**
     * Create an instance of {@link ShipmentRefundRequest }
     * 
     */
    public ShipmentRefundRequest createShipmentRefundRequest() {
        return new ShipmentRefundRequest();
    }

    /**
     * Create an instance of {@link ShipmentPublicKeyInfo }
     * 
     */
    public ShipmentPublicKeyInfo createShipmentPublicKeyInfo() {
        return new ShipmentPublicKeyInfo();
    }

    /**
     * Create an instance of {@link Links }
     * 
     */
    public Links createLinks() {
        return new Links();
    }

    /**
     * Create an instance of {@link ShipmentPrice }
     * 
     */
    public ShipmentPrice createShipmentPrice() {
        return new ShipmentPrice();
    }

    /**
     * Create an instance of {@link PricedOptionsType }
     * 
     */
    public PricedOptionsType createPricedOptionsType() {
        return new PricedOptionsType();
    }

    /**
     * Create an instance of {@link AdjustmentsType }
     * 
     */
    public AdjustmentsType createAdjustmentsType() {
        return new AdjustmentsType();
    }

    /**
     * Create an instance of {@link ServiceStandardType }
     * 
     */
    public ServiceStandardType createServiceStandardType() {
        return new ServiceStandardType();
    }

    /**
     * Create an instance of {@link ShipmentReceipt.SupplierAccountReceiptDetails }
     * 
     */
    public ShipmentReceipt.SupplierAccountReceiptDetails createShipmentReceiptSupplierAccountReceiptDetails() {
        return new ShipmentReceipt.SupplierAccountReceiptDetails();
    }

    /**
     * Create an instance of {@link ShipmentReceipt.CcReceiptDetails }
     * 
     */
    public ShipmentReceipt.CcReceiptDetails createShipmentReceiptCcReceiptDetails() {
        return new ShipmentReceipt.CcReceiptDetails();
    }

    /**
     * Create an instance of {@link PricedOptionType }
     * 
     */
    public PricedOptionType createPricedOptionType() {
        return new PricedOptionType();
    }

    /**
     * Create an instance of {@link DestinationAddressDetailsType }
     * 
     */
    public DestinationAddressDetailsType createDestinationAddressDetailsType() {
        return new DestinationAddressDetailsType();
    }

    /**
     * Create an instance of {@link SkuType }
     * 
     */
    public SkuType createSkuType() {
        return new SkuType();
    }

    /**
     * Create an instance of {@link RecipientAddressType }
     * 
     */
    public RecipientAddressType createRecipientAddressType() {
        return new RecipientAddressType();
    }

    /**
     * Create an instance of {@link SettlementInfoType }
     * 
     */
    public SettlementInfoType createSettlementInfoType() {
        return new SettlementInfoType();
    }

    /**
     * Create an instance of {@link ReferencesType }
     * 
     */
    public ReferencesType createReferencesType() {
        return new ReferencesType();
    }

    /**
     * Create an instance of {@link AddressDetailsType }
     * 
     */
    public AddressDetailsType createAddressDetailsType() {
        return new AddressDetailsType();
    }

    /**
     * Create an instance of {@link NotificationType }
     * 
     */
    public NotificationType createNotificationType() {
        return new NotificationType();
    }

    /**
     * Create an instance of {@link CcDetailsType }
     * 
     */
    public CcDetailsType createCcDetailsType() {
        return new CcDetailsType();
    }

    /**
     * Create an instance of {@link PrintPreferencesType }
     * 
     */
    public PrintPreferencesType createPrintPreferencesType() {
        return new PrintPreferencesType();
    }

    /**
     * Create an instance of {@link ReturnRecipientType }
     * 
     */
    public ReturnRecipientType createReturnRecipientType() {
        return new ReturnRecipientType();
    }

    /**
     * Create an instance of {@link DestinationType }
     * 
     */
    public DestinationType createDestinationType() {
        return new DestinationType();
    }

    /**
     * Create an instance of {@link OptionType }
     * 
     */
    public OptionType createOptionType() {
        return new OptionType();
    }

    /**
     * Create an instance of {@link SenderType }
     * 
     */
    public SenderType createSenderType() {
        return new SenderType();
    }

    /**
     * Create an instance of {@link CcAddressDetailsType }
     * 
     */
    public CcAddressDetailsType createCcAddressDetailsType() {
        return new CcAddressDetailsType();
    }

    /**
     * Create an instance of {@link AdjustmentType }
     * 
     */
    public AdjustmentType createAdjustmentType() {
        return new AdjustmentType();
    }

    /**
     * Create an instance of {@link PreferencesType }
     * 
     */
    public PreferencesType createPreferencesType() {
        return new PreferencesType();
    }

    /**
     * Create an instance of {@link DomesticAddressDetailsType }
     * 
     */
    public DomesticAddressDetailsType createDomesticAddressDetailsType() {
        return new DomesticAddressDetailsType();
    }

    /**
     * Create an instance of {@link CustomsType.SkuList }
     * 
     */
    public CustomsType.SkuList createCustomsTypeSkuList() {
        return new CustomsType.SkuList();
    }

    /**
     * Create an instance of {@link ParcelCharacteristicsType.Dimensions }
     * 
     */
    public ParcelCharacteristicsType.Dimensions createParcelCharacteristicsTypeDimensions() {
        return new ParcelCharacteristicsType.Dimensions();
    }

    /**
     * Create an instance of {@link ShipmentDetails.ShipmentDetail.DeliverySpec.Options }
     * 
     */
    public ShipmentDetails.ShipmentDetail.DeliverySpec.Options createShipmentDetailsShipmentDetailDeliverySpecOptions() {
        return new ShipmentDetails.ShipmentDetail.DeliverySpec.Options();
    }

    /**
     * Create an instance of {@link DeliverySpecType.Options }
     * 
     */
    public DeliverySpecType.Options createDeliverySpecTypeOptions() {
        return new DeliverySpecType.Options();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/shipment-v8", name = "groupIdOrTransmitShipment")
    public JAXBElement<Object> createGroupIdOrTransmitShipment(Object value) {
        return new JAXBElement<Object>(_GroupIdOrTransmitShipment_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/shipment-v8", name = "group-id", substitutionHeadNamespace = "http://www.canadapost.ca/ws/shipment-v8", substitutionHeadName = "groupIdOrTransmitShipment")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    public JAXBElement<String> createGroupId(String value) {
        return new JAXBElement<String>(_GroupId_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/shipment-v8", name = "transmit-shipment", substitutionHeadNamespace = "http://www.canadapost.ca/ws/shipment-v8", substitutionHeadName = "groupIdOrTransmitShipment")
    public JAXBElement<Boolean> createTransmitShipment(Boolean value) {
        return new JAXBElement<Boolean>(_TransmitShipment_QNAME, Boolean.class, null, value);
    }

}
